"use strict";

exports.implementation = class NavigatorIDImpl {
  get appCodeName() {
    return window.fingerprint.navigator.appCodeName
    return "Mozilla";
  }

  get appName() {
    return window.fingerprint.navigator.appName

    return "Netscape";
  }

  get appVersion() {
    return window.fingerprint.navigator.appVersion

    return "4.0";
  }

  get platform() {
    return window.fingerprint.navigator.platform

    return "";
  }

  get product() {
    return window.fingerprint.navigator.product

    return "Gecko";
  }

  get productSub() {
    return window.fingerprint.navigator.productSub

    return "20030107";
  }

  // see Navigator constructor for userAgent

  get vendor() {
    return window.fingerprint.navigator.vendor

    return "Apple Computer, Inc.";
  }

  get vendorSub() {
    return window.fingerprint.navigator.vendorSub

    return "";
  }
};
